# Service settings

When a service is created some default settings are applied. These settings can be changed by clicking the cog icon in the toolbar when inside a service.

<table><thead><tr><th width="237">Setting</th><th>Description</th></tr></thead><tbody><tr><td><strong>Name</strong></td><td>A descriptive name. The name is shown in the <a href="/pages/9cAivpyQpx4FT3weO9gi">API explorer</a> and <a href="/pages/-MiQS8zdqQ-t9G6tfyzq">logs</a>.</td></tr><tr><td><strong>Description</strong></td><td>A longer description of the service. It may be helpful to describe how and why this service operates. This description is shown in the <a href="/pages/9cAivpyQpx4FT3weO9gi">API explorer</a>.</td></tr><tr><td><strong>Alias Slug</strong></td><td><p>A string that will be used when generating endpoint URLs for this service. The slug must be unique across the services in your solution.<br></p><p>For example, in the following endpoint URL the alias slug is <code>events</code>: https://thirty50.appfarm.app/api/services/events/list<br></p><p>A slug is particularly useful when third-party systems are integrating with a service. Setting an alias slug allows you to switch out the service with another in the future.<br></p><p>Previously the service ID was used instead of a slug. A service is reachable on URLs that use either the slug or the ID. You can see the ID by opening an endpoint in the <a href="/pages/9cAivpyQpx4FT3weO9gi">API explorer</a> and looking for <strong>Legacy URL</strong>.</p></td></tr><tr><td><strong>Icon</strong></td><td>An icon to represent the service. This is to help you quickly identify a service and is only shown in Appfarm Create.</td></tr><tr><td><strong>Default Time Zone</strong></td><td>The time zone that will be used when formatting time. This can be overridden in an API call by adding an <code>x-time-zone</code> header to the request.</td></tr><tr><td><strong>Enable Rate Limiter</strong></td><td>You may set restrictions on how many parallel connections ("Rate Limit Points") a single IP may have towards endpoints of this service, within a given time window ("Rate Limit Window"). Note that you may also control this per <a href="/pages/WBK6hbl06Ts0gTgdG91H#advanced">endpoint</a>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appfarm.io/reference/services/service-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
